Page MenuHomePhabricator

[DO NOT USE] Things to be done in Contributors extension (tracking) [superseded by #MediaWiki-extensions-Contributors]
Closed, InvalidPublic

Description

Features that must be further added to the Contributors extension as per the proposal T129123 and the description given in the parent task T120738.

  • Improved tabular display, which can be sorted in different ways.
  • Filtering out the IP addresses.
  • Ability to export the contributors of a page to and import it to another page when content is copied.
  • As per the comments of Whatamidoing-WMF in the parent task , have the necessary filtering for identifying the eligible contributor.

Event Timeline

Devirk created this task.Jul 6 2016, 12:32 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 6 2016, 12:32 PM

@Devirk: Please only file one issue per one task; see https://www.mediawiki.org/wiki/How_to_report_a_bug
I am tempted to close this task as invalid as it's unfixable until four completely different issues are resolved.

@Devirk make this a Tracking task (add Tracking tag) and then add each of these tasks as subtasks to this task. :)

Devirk added a comment.Jul 8 2016, 8:06 AM

I thought of this task as a way to list down whatever that's left to do for the extension and a way to discuss it through and narrow it down to specific new tasks! :) @Aklapper I'll do the necessary and resolve it. I'll keep that in mind before creating tasks!

@Niharika , yeah I'll make this a tracking task! I'll add the subtasks after today's meeting as we'll decide on future tasks then! :)

Danny_B renamed this task from Things to be done to Things to be done in Contributors extension (tracking).Jul 9 2016, 1:53 PM

Is this tracking task needed considering the existence of MediaWiki-extensions-Contributors ?

Danny_B renamed this task from Things to be done in Contributors extension (tracking) to [DO NOT USE] Things to be done in Contributors extension (tracking) [superseded by #MediaWiki-extensions-Contributors].Aug 15 2016, 12:03 PM
Danny_B closed this task as Invalid.
Danny_B triaged this task as Lowest priority.
Danny_B moved this task from Tag to Transition completed / Archived on the Tracking-Neverending board.